<script lang="ts">
    import Level from '$components/Research/Level.svelte'
    import InGame from '$components/Layouts/InGame.svelte'
    import { researchTree } from '$lib/research'
</script>

<InGame>
    <article id="research">
        {#each $researchTree.filter(Boolean) as researches}
            <div>
                <Level bind:researches />
            </div>
        {/each}
    </article>
</InGame>

<style lang="postcss">
    #research {
        @apply relative h-screen w-auto mx-4 flex flex-nowrap flex-shrink-0 overflow-x-auto space-x-12 pt-[4.5rem] z-0;
    }
</style>
